Index: src/backend/postmaster/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/Makefile,v
retrieving revision 1.18
diff -c -r1.18 Makefile
*** src/backend/postmaster/Makefile	21 Jul 2004 20:34:46 -0000	1.18
--- src/backend/postmaster/Makefile	25 Jul 2004 11:51:52 -0000
***************
*** 13,18 ****
--- 13,23 ----
  include $(top_builddir)/src/Makefile.global

  OBJS = postmaster.o bgwriter.o pgstat.o pgarch.o
+ ifeq ($(PORTNAME), win32)
+ OBJS+=postmasterrc.o
+ postmasterrc.o: postmaster.rc
+ 	windres postmaster.rc -o postmasterrc.o --include-dir=$(top_builddir)/src/include
+ endif

  all: SUBSYS.o

Index: src/backend/utils/mb/conversion_procs/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/mb/conversion_procs/Makefile,v
retrieving revision 1.11
diff -c -r1.11 Makefile
*** src/backend/utils/mb/conversion_procs/Makefile	21 Jan 2004 19:22:19 -0000	1.11
--- src/backend/utils/mb/conversion_procs/Makefile	25 Jul 2004 12:24:37 -0000
***************
*** 143,149 ****
  		utf_8_to_windows_874  UNICODE WIN874 utf_to_win874 utf8_and_win874 \
  		windows_874_to_utf_8  WIN874 UNICODE win874_to_utf utf8_and_win874

! all: $(SQLSCRIPT)
  	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

  $(SQLSCRIPT): Makefile
--- 143,157 ----
  		utf_8_to_windows_874  UNICODE WIN874 utf_to_win874 utf8_and_win874 \
  		windows_874_to_utf_8  WIN874 UNICODE win874_to_utf utf8_and_win874

!
! ifeq ($(PORTNAME), win32)
! convprocrc.o: convproc.rc
! 	windres convproc.rc -o convprocrc.o --include-dir=$(top_builddir)/src/include
! CONVPROCRC=convprocrc.o
! endif
!
!
! all: $(SQLSCRIPT) $(CONVPROCRC)
  	@for dir in $(DIRS); do $(MAKE) -C $$dir $@ || exit; done

  $(SQLSCRIPT): Makefile
Index: src/backend/utils/mb/conversion_procs/proc.mk
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/utils/mb/conversion_procs/proc.mk,v
retrieving revision 1.7
diff -c -r1.7 proc.mk
*** src/backend/utils/mb/conversion_procs/proc.mk	21 Jan 2004 19:04:11 -0000	1.7
--- src/backend/utils/mb/conversion_procs/proc.mk	25 Jul 2004 12:24:51 -0000
***************
*** 1,5 ****
--- 1,9 ----
  SRCS		+= $(NAME).c
  OBJS		+= $(NAME).o
+ ifeq ($(PORTNAME), win32)
+ OBJS+=../convprocrc.o
+ endif
+

  SHLIB_LINK 	:= $(BE_DLLLIBS)

Index: src/bin/initdb/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/initdb/Makefile,v
retrieving revision 1.41
diff -c -r1.41 Makefile
*** src/bin/initdb/Makefile	24 May 2004 01:01:37 -0000	1.41
--- src/bin/initdb/Makefile	25 Jul 2004 11:53:59 -0000
***************
*** 17,22 ****
--- 17,28 ----

  OBJS=	initdb.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=initdbrc.o
+ initdbrc.o: initdb.rc
+ 	windres initdb.rc -o initdbrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  all: submake-libpq submake-libpgport initdb

  initdb: $(OBJS) $(libpq_builddir)/libpq.a
Index: src/bin/pg_controldata/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_controldata/Makefile,v
retrieving revision 1.9
diff -c -r1.9 Makefile
*** src/bin/pg_controldata/Makefile	26 May 2004 17:24:01 -0000	1.9
--- src/bin/pg_controldata/Makefile	25 Jul 2004 11:54:18 -0000
***************
*** 16,21 ****
--- 16,27 ----

  OBJS= pg_controldata.o pg_crc.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=pg_controldatarc.o
+ pg_controldatarc.o: pg_controldata.rc
+ 	windres pg_controldata.rc -o pg_controldatarc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  all: submake-libpgport pg_controldata

  pg_controldata: $(OBJS)
Index: src/bin/pg_ctl/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_ctl/Makefile,v
retrieving revision 1.14
diff -c -r1.14 Makefile
*** src/bin/pg_ctl/Makefile	27 May 2004 03:37:55 -0000	1.14
--- src/bin/pg_ctl/Makefile	25 Jul 2004 11:55:14 -0000
***************
*** 17,22 ****
--- 17,28 ----

  OBJS=	pg_ctl.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=pg_ctlrc.o
+ pg_ctlrc.o: pg_ctl.rc
+ 	windres pg_ctl.rc -o pg_ctlrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  all: submake-libpq submake-libpgport pg_ctl

  pg_ctl: $(OBJS) $(libpq_builddir)/libpq.a
Index: src/bin/pg_dump/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_dump/Makefile,v
retrieving revision 1.52
diff -c -r1.52 Makefile
*** src/bin/pg_dump/Makefile	25 May 2004 01:00:24 -0000	1.52
--- src/bin/pg_dump/Makefile	25 Jul 2004 11:59:27 -0000
***************
*** 21,37 ****

  EXTRA_OBJS = $(top_builddir)/src/backend/parser/keywords.o


  all: submake-libpq submake-libpgport submake-backend pg_dump pg_restore pg_dumpall

! pg_dump: pg_dump.o common.o pg_dump_sort.o $(OBJS) $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dump.o common.o pg_dump_sort.o $(OBJS) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! pg_restore: pg_restore.o $(OBJS) $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_restore.o $(OBJS) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! pg_dumpall: pg_dumpall.o dumputils.o exec.o $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dumpall.o dumputils.o exec.o $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  # We need our own build of exec.c so it gets made with -DFRONTEND
  exec.c: % : $(top_srcdir)/src/port/%
--- 21,48 ----

  EXTRA_OBJS = $(top_builddir)/src/backend/parser/keywords.o

+ ifeq ($(PORTNAME), win32)
+ pg_dumprc.o: pg_dump.rc
+ 	windres pg_dump.rc -o pg_dumprc.o --include-dir=$(top_builddir)/src/include
+ pg_restorerc.o: pg_restore.rc
+ 	windres pg_restore.rc -o pg_restorerc.o --include-dir=$(top_builddir)/src/include
+ pg_dumpallrc.o: pg_dumpall.rc
+ 	windres pg_dumpall.rc -o pg_dumpallrc.o --include-dir=$(top_builddir)/src/include
+ DUMPRCOBJ=pg_dumprc.o
+ RESTORERCOBJ=pg_restorerc.o
+ DUMPALLRCOBJ=pg_dumpallrc.o
+ endif

  all: submake-libpq submake-libpgport submake-backend pg_dump pg_restore pg_dumpall

! pg_dump: pg_dump.o common.o pg_dump_sort.o $(OBJS) $(DUMPRCOBJ) $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dump.o common.o pg_dump_sort.o $(OBJS) $(DUMPRCOBJ) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! pg_restore: pg_restore.o $(OBJS) $(RESTORERCOBJ) $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_restore.o $(OBJS) $(RESTORERCOBJ) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! pg_dumpall: pg_dumpall.o dumputils.o exec.o $(DUMPALLRCOBJ) $(libpq_builddir)/libpq.a
! 	$(CC) $(CFLAGS) pg_dumpall.o dumputils.o exec.o $(DUMPALLRCOBJ) $(EXTRA_OBJS) $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

  # We need our own build of exec.c so it gets made with -DFRONTEND
  exec.c: % : $(top_srcdir)/src/port/%
Index: src/bin/pg_resetxlog/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pg_resetxlog/Makefile,v
retrieving revision 1.10
diff -c -r1.10 Makefile
*** src/bin/pg_resetxlog/Makefile	25 May 2004 01:00:25 -0000	1.10
--- src/bin/pg_resetxlog/Makefile	25 Jul 2004 12:01:04 -0000
***************
*** 16,21 ****
--- 16,27 ----

  OBJS= pg_resetxlog.o pg_crc.o dirmod.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=pg_resetxlogrc.o
+ pg_resetxlogrc.o: pg_resetxlog.rc
+ 	windres pg_resetxlog.rc -o pg_resetxlogrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  all: submake-libpgport pg_resetxlog

  pg_resetxlog: $(OBJS)
Index: src/bin/pgevent/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pgevent/Makefile,v
retrieving revision 1.1
diff -c -r1.1 Makefile
*** src/bin/pgevent/Makefile	20 Jun 2004 01:32:49 -0000	1.1
--- src/bin/pgevent/Makefile	25 Jul 2004 12:02:43 -0000
***************
*** 21,27 ****
  	dllwrap --def pgevent.def -o $(NAME) $(OBJS)

  pgmsgevent.o: pgmsgevent.rc
! 	windres pgmsgevent.rc -o pgmsgevent.o

  all-lib: $(NAME)

--- 21,27 ----
  	dllwrap --def pgevent.def -o $(NAME) $(OBJS)

  pgmsgevent.o: pgmsgevent.rc
! 	windres pgmsgevent.rc -o pgmsgevent.o --include-dir=$(top_builddir)/src/include

  all-lib: $(NAME)

Index: src/bin/pgevent/pgmsgevent.rc
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/pgevent/pgmsgevent.rc,v
retrieving revision 1.1
diff -c -r1.1 pgmsgevent.rc
*** src/bin/pgevent/pgmsgevent.rc	20 Jun 2004 01:32:49 -0000	1.1
--- src/bin/pgevent/pgmsgevent.rc	25 Jul 2004 12:57:54 -0000
***************
*** 1,2 ****
--- 1,32 ----
+ #include <winver.h>
+ #include "pg_config.h"
+
+ VS_VERSION_INFO VERSIONINFO
+  FILEVERSION    PG_VERSION_NUMERIC
+  PRODUCTVERSION PG_VERSION_NUMERIC
+  FILEFLAGSMASK  0x17L
+  FILEFLAGS      0x0L
+  FILEOS         VOS_NT_WINDOWS32
+  FILETYPE       VFT_DLL
+  FILESUBTYPE    0x0L
+ BEGIN
+  BLOCK "StringFileInfo"
+  BEGIN
+   BLOCK "000004b0"
+   BEGIN
+    VALUE "CompanyName",      "PostgreSQL Global Development Group"
+    VALUE "FileDescription",  "pgevent - eventlog message formatting information"
+    VALUE "FileVersion",      PG_VERSION
+    VALUE "ProductName",      "PostgreSQL"
+    VALUE "ProductVersion",   PG_VERSION
+   END
+  END
+  BLOCK "VarFileInfo"
+  BEGIN
+   VALUE "Translation", 0x0, 1200
+  END
+ END
+
+
  LANGUAGE 0x9,0x1
  1 11 MSG00001.bin
Index: src/bin/psql/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/psql/Makefile,v
retrieving revision 1.47
diff -c -r1.47 Makefile
*** src/bin/psql/Makefile	24 May 2004 01:01:37 -0000	1.47
--- src/bin/psql/Makefile	25 Jul 2004 12:04:31 -0000
***************
*** 21,26 ****
--- 21,32 ----
  	startup.o prompt.o variables.o large_obj.o print.o describe.o \
  	psqlscan.o tab-complete.o mbprint.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=psqlrc.o
+ psqlrc.o: psql.rc
+ 	windres psql.rc -o psqlrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  FLEXFLAGS = -Cfe


Index: src/bin/scripts/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/bin/scripts/Makefile,v
retrieving revision 1.28
diff -c -r1.28 Makefile
*** src/bin/scripts/Makefile	26 May 2004 17:24:05 -0000	1.28
--- src/bin/scripts/Makefile	25 Jul 2004 12:07:16 -0000
***************
*** 17,35 ****

  override CPPFLAGS := -DFRONTEND -I$(top_srcdir)/src/bin/pg_dump -I$(top_srcdir)/src/bin/psql -I$(libpq_srcdir) $(CPPFLAGS)

  all: submake-libpq submake-backend $(PROGRAMS)

  %: %.o
  	$(CC) $(CFLAGS) $^ $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! createdb: createdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
! createlang: createlang.o common.o exec.o print.o mbprint.o
! createuser: createuser.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
! dropdb: dropdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
! droplang: droplang.o common.o exec.o print.o mbprint.o
! dropuser: dropuser.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
! clusterdb: clusterdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
! vacuumdb: vacuumdb.o common.o exec.o

  dumputils.c: % : $(top_srcdir)/src/bin/pg_dump/%
  	rm -f $@ && $(LN_S) $< .
--- 17,42 ----

  override CPPFLAGS := -DFRONTEND -I$(top_srcdir)/src/bin/pg_dump -I$(top_srcdir)/src/bin/psql -I$(libpq_srcdir) $(CPPFLAGS)

+ ifeq ($(PORTNAME), win32)
+ scriptrc.o: script.rc
+ 	windres script.rc -o scriptrc.o --include-dir=$(top_builddir)/src/include
+ SCRIPTRC=scriptrc.o
+ endif
+
+
  all: submake-libpq submake-backend $(PROGRAMS)

  %: %.o
  	$(CC) $(CFLAGS) $^ $(libpq) $(LDFLAGS) $(LIBS) -o $@$(X)

! createdb: createdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o $(SCRIPTRC)
! createlang: createlang.o common.o exec.o print.o mbprint.o $(SCRIPTRC)
! createuser: createuser.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o $(SCRIPTRC)
! dropdb: dropdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o $(SCRIPTRC)
! droplang: droplang.o common.o exec.o print.o mbprint.o $(SCRIPTRC)
! dropuser: dropuser.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o $(SCRIPTRC)
! clusterdb: clusterdb.o common.o exec.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o $(SCRIPTRC)
! vacuumdb: vacuumdb.o common.o exec.o $(SCRIPTRC)

  dumputils.c: % : $(top_srcdir)/src/bin/pg_dump/%
  	rm -f $@ && $(LN_S) $< .
Index: src/interfaces/ecpg/compatlib/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/ecpg/compatlib/Makefile,v
retrieving revision 1.18
diff -c -r1.18 Makefile
*** src/interfaces/ecpg/compatlib/Makefile	13 Jul 2004 00:06:39 -0000	1.18
--- src/interfaces/ecpg/compatlib/Makefile	25 Jul 2004 12:13:23 -0000
***************
*** 24,29 ****
--- 24,35 ----
  	$(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt -lm, $(LIBS)) $(PTHREAD_LIBS)

  OBJS= informix.o
+ ifeq ($(PORTNAME), win32)
+ OBJS+=ecpg_compatrc.o
+ ecpg_compatrc.o: ecpg_compat.rc
+ 	windres ecpg_compat.rc -o ecpg_compatrc.o --include-dir=$(top_builddir)/src/include
+ endif
+

  all: all-lib

Index: src/interfaces/ecpg/ecpglib/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/ecpg/ecpglib/Makefile,v
retrieving revision 1.25
diff -c -r1.25 Makefile
*** src/interfaces/ecpg/ecpglib/Makefile	13 Jul 2004 00:06:41 -0000	1.25
--- src/interfaces/ecpg/ecpglib/Makefile	25 Jul 2004 12:14:17 -0000
***************
*** 24,29 ****
--- 24,35 ----
  OBJS= execute.o typename.o descriptor.o data.o error.o prepare.o memory.o \
  	connect.o misc.o path.o exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=ecpgrc.o
+ ecpgrc.o: ecpg.rc
+ 	windres ecpg.rc -o ecpgrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
  SHLIB_LINK = -L../pgtypeslib -lpgtypes $(libpq) \
  	$(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt -lm, $(LIBS)) $(PTHREAD_LIBS)

Index: src/interfaces/ecpg/pgtypeslib/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/ecpg/pgtypeslib/Makefile,v
retrieving revision 1.22
diff -c -r1.22 Makefile
*** src/interfaces/ecpg/pgtypeslib/Makefile	13 Jul 2004 00:06:43 -0000	1.22
--- src/interfaces/ecpg/pgtypeslib/Makefile	25 Jul 2004 12:15:01 -0000
***************
*** 27,32 ****
--- 27,39 ----
  	pgstrcasecmp.o \
  	$(filter rint.o, $(LIBOBJS))

+ ifeq ($(PORTNAME), win32)
+ OBJS+=pgtypesrc.o
+ pgtypesrc.o: pgtypes.rc
+ 	windres pgtypes.rc -o pgtypesrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
+
  all: all-lib

  # Shared library stuff
Index: src/interfaces/ecpg/preproc/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/ecpg/preproc/Makefile,v
retrieving revision 1.107
diff -c -r1.107 Makefile
*** src/interfaces/ecpg/preproc/Makefile	24 May 2004 01:01:38 -0000	1.107
--- src/interfaces/ecpg/preproc/Makefile	25 Jul 2004 12:08:35 -0000
***************
*** 22,27 ****
--- 22,34 ----
  	keywords.o c_keywords.o ../ecpglib/typename.o descriptor.o variable.o \
  	exec.o

+ ifeq ($(PORTNAME), win32)
+ OBJS+=ecpgrc.o
+ ecpgrc.o: ecpg.rc
+ 	windres ecpg.rc -o ecpgrc.o --include-dir=$(top_builddir)/src/include
+ endif
+
+
  all: submake-libpgport ecpg

  ecpg: $(OBJS)
Index: src/interfaces/libpq/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/libpq/Makefile,v
retrieving revision 1.112
diff -c -r1.112 Makefile
*** src/interfaces/libpq/Makefile	13 Jul 2004 00:06:44 -0000	1.112
--- src/interfaces/libpq/Makefile	25 Jul 2004 12:33:02 -0000
***************
*** 28,34 ****
  	$(filter crypt.o getaddrinfo.o inet_aton.o open.o snprintf.o strerror.o, $(LIBOBJS))

  ifeq ($(PORTNAME), win32)
! OBJS+=win32.o
  ifeq ($(enable_thread_safety), yes)
  # This doesn't work yet because configure test fails.  2004-06-19
  OBJS+=pthread-win32.o
--- 28,36 ----
  	$(filter crypt.o getaddrinfo.o inet_aton.o open.o snprintf.o strerror.o, $(LIBOBJS))

  ifeq ($(PORTNAME), win32)
! OBJS+=win32.o libpqrc.o
! libpqrc.o: libpq.rc
! 	windres libpq.rc -o libpqrc.o --include-dir=$(top_builddir)/src/include
  ifeq ($(enable_thread_safety), yes)
  # This doesn't work yet because configure test fails.  2004-06-19
  OBJS+=pthread-win32.o
Index: src/pl/plperl/GNUmakefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/pl/plperl/GNUmakefile,v
retrieving revision 1.15
diff -c -r1.15 GNUmakefile
*** src/pl/plperl/GNUmakefile	16 Jul 2004 19:18:24 -0000	1.15
--- src/pl/plperl/GNUmakefile	25 Jul 2004 12:16:25 -0000
***************
*** 35,40 ****
--- 35,46 ----
  SO_MINOR_VERSION = 0

  OBJS = plperl.o spi_internal.o SPI.o
+ ifeq ($(PORTNAME), win32)
+ OBJS+=plperlrc.o
+ plperlrc.o: plperl.rc
+ 	windres plperl.rc -o plperlrc.o --include-dir=$(top_builddir)/src/include
+ endif
+

  SHLIB_LINK = $(perl_embed_ldflags) $(BE_DLLLIBS)

Index: src/pl/plpgsql/src/Makefile
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/pl/plpgsql/src/Makefile,v
retrieving revision 1.26
diff -c -r1.26 Makefile
*** src/pl/plpgsql/src/Makefile	3 Jun 2004 19:21:31 -0000	1.26
--- src/pl/plpgsql/src/Makefile	25 Jul 2004 12:17:29 -0000
***************
*** 20,25 ****
--- 20,31 ----
  rpath :=

  OBJS = pl_gram.o pl_handler.o pl_comp.o pl_exec.o pl_funcs.o
+ ifeq ($(PORTNAME), win32)
+ OBJS+=plpgsqlrc.o
+ plpgsqlrc.o: plpgsql.rc
+ 	windres plpgsql.rc -o plpgsqlrc.o --include-dir=$(top_builddir)/src/include
+ endif
+

  ifneq ($(PORTNAME), qnx4)
  all: all-lib
  
